OGRE-Next: Ogre::GpuSharedParametersUsage Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::GpuSharedParametersUsage Class Reference
Core » Materials

This class records the usage of a set of shared parameters in a concrete set of GpuProgramParameters. More...

`#include <OgreGpuProgramParams.h>`

Inheritance diagram for Ogre::GpuSharedParametersUsage:
[legend]

## Public Member Functions
| GpuSharedParametersUsage (GpuSharedParametersPtr sharedParams, GpuProgramParameters *params)
| Construct usage.
void | _copySharedParamsToTargetParams ()
| Update the target parameters by copying the data from the shared parameters.
const String & | getName () const
| Get the name of the shared parameter set.
GpuSharedParametersPtr | getSharedParams () const
GpuProgramParameters * | getTargetParams () const

## Detailed Description

This class records the usage of a set of shared parameters in a concrete set of GpuProgramParameters.

## Constructor & Destructor Documentation

## ◆ GpuSharedParametersUsage()

Ogre::GpuSharedParametersUsage::GpuSharedParametersUsage | ( | GpuSharedParametersPtr | sharedParams,
|  | GpuProgramParameters * | params )

Construct usage.

## Member Function Documentation

## ◆ _copySharedParamsToTargetParams()

void Ogre::GpuSharedParametersUsage::_copySharedParamsToTargetParams | ( |  | ) |

Update the target parameters by copying the data from the shared parameters.

Note
  This method may not actually be called if the RenderSystem supports using shared parameters directly in their own shared buffer; in which case the values should not be copied out of the shared area into the individual parameter set, but bound separately.

## ◆ getName()

const String & Ogre::GpuSharedParametersUsage::getName | ( |  | ) | const
| inline

Get the name of the shared parameter set.

## ◆ getSharedParams()

GpuSharedParametersPtr Ogre::GpuSharedParametersUsage::getSharedParams | ( |  | ) | const
| inline

## ◆ getTargetParams()

GpuProgramParameters * Ogre::GpuSharedParametersUsage::getTargetParams | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- OgreGpuProgramParams.h